Subject: [Ecrit] Issue#30: Scope

From: "Tschofenig, Hannes" <[email-masked]>
Date: Tue, 24 Jan 2006 13:14:49 +0100

hi brian, 
 
> I think that while we do have to agree on terminology for our 
> documents, we
> don't have to agree here in ecrit on exactly what an endpoint 
> does with
> information we supply it.

i agree with you. 

>  I'd rather not get into specifying 
> a "prime" list
> of numbers, for example.

i again agree with you. 

a discussion of these numbers and how they get used dos not belong to the requirements, the security threats, to the sipping-sos, etc. documents. it might be reasonable to discuss these issues in the bcp. we are not yet there.... 

> 
> What I do want to do is to specify the mechanisms by which an endpoint
> learns the emergency dialstring for both its home and visited 
> locations.

that's also my conclusion of the recent discussion. 

> 
> It does seem like "dialstring" is the right noun, especially 
> the way we
> intend to use it, which is that an entity (the endpoint or a 
> downstream
> proxy) translates that digit sequence to the universal URN, which may
> subsequently be translated to some other URI (be it a SIP uri 
> or a tel uri
> or even something else).  So, I would propose that we 
> henceforth agree to
> use the term "emergency dialstring" to refer to the digit 
> sequence dialed in
> some location to reach emergency services.  This avoids 
> confusion with what
> "emergency number" means.

'emergency dialstring' sounds good to me. 

> 
> Then, I do think we are better off referring to "visited" and 
> "home" access
> networks when talking about these issues.  It does seem to 
> make it wireless
> centric, which I don't intend to, but I think it eliminates 
> confusion.  The
> term "local" and "remote" are too ambiguous to be used for 
> either "home" or
> "visited" (is it remote from where you normally are, or 
> remote from where
> you are now?).
'visited', 'local' or 'serving' network: i don't care. 

ciao
hannes

> 
> Brian
> ________________________________________
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of
> Raymond Forbes
> Sent: Monday, January 23, 2006 9:23 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: RE: [Ecrit] Issue 30: Summary
> 
> 
> I was only pointing to the example in GSM (3GPP) today where 
> there most
> commonly used global numbers are stored in all SIM modules, 
> and further
> local national numbers may be additionally stored. 
> 
> This alleviates the need for having a Global address as the 
> Roaming/Nomadic
> terminal inter-works with the region it is in. A global 
> address has certain
> advantages. 
> 
> The GSM solution requires that other national numbers not in 
> the Prime list
> may be additionally stored. 
> 
> This solves the problem of encountered my the majority of 
> tourists, US or
> Japanese Tourists in London. who do not know that their 
> national number (911
> or 110) needs translating to 112. It does not solve all problems. For
> example 110 in Germany will reach the Police not the 
> Emergency services. 
> 
> Regards,
> 
> Ray Forbes.
> 
> +44 24 7656 3106 phone
> +44 24 7656 3816 fax.
> +44 771 851 1361 Mobile/text
> ------------
> This e-mail and any attachments are confidential.  If you are not the
> intended recipient, please notify us immediately by reply 
> e-mail and then
> delete this message from your system. Do not copy this e-mail or any
> attachments, use the contents for any purpose, or disclose 
> the contents to
> any other person: to do so could be a breach of confidence.
> 
> 
> 
> "Michael Hammer \(mhammer\)" <[email-masked]> 
> 23/01/2006 13:45 
>         
>         To:        "Hannes Tschofenig" 
> <[email-masked]>, "Raymond
> Forbes" <[email-masked]> 
>         cc:        <[email-masked]>, <[email-masked]> 
>         Subject:        RE: [Ecrit] Issue 30: Summary
> 
> 
> 
> Hannes,
> 
> We still seem to be glossing over terms and usage it seems.
> 
> When you talk about "emergency numbers", are you referring to an E.164
> number that the "emergency dial string" gets translated to?  Or, just
> that 3 digit emergency code?
> 
> Also, you seem to suggest that each of the hundred or so 
> emergency dial
> strings (112, 911, etc.) are reserved for emergency use 
> globally.  Right
> now I understand there are some conflicts.  Are you proposing that all
> those emergency codes be reserved for emergency use in all countries.
> That is, where any of those codes is used for another purpose, that
> country must change their usage?  So, that the tourist from 
> any country
> can visit any country and any emergency code will work?
> 
> Mike 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] 
> > On Behalf Of Hannes Tschofenig
> > Sent: Monday, January 23, 2006 5:15 AM
> > To: Raymond Forbes
> > Cc: [email-masked]; [email-masked]
> > Subject: Re: [Ecrit] Issue 30: Summary
> > 
> > hi raymond,
> > 
> > ~snip~
> > 
> > >  >   * Tourist Alice collapses, another tourist Bob finds the cell
> > >  > phone of Alice and dials its own home emergency number 
> > (because it  
> > > > does  > not know the local emergency number) and the home 
> > emergency 
> > > number is  > different from the local emergency number and 
> > Alice/Bob 
> > > have different  > home emergency numbers.
> > >  >
> > > 
> > > That seems essentially unsolvable. Given typical tourist 
> > herds that I 
> > > have observed, they tend to cluster by nationality (or at least 
> > > region), if only to make the job of the tour guide a bit 
> easier :-)
> > > 
> > > [rcf]: GSM Cell Phones address this problem as they can 
> > dail a number 
> > > of Emergency numbers from the SIM Card. The Phone can 
> translate the 
> > > Dialled number into the Local Emergency number 112, 911, 
> > 110, 111, 000 etc...
> > 
> > 
> > in gsm there is no equivalent to the global emergency 
> > identifier as we discuss it here.
> > as such, you need to have a mechanism to retrieve the local 
> > emergency numbers in order todo the translation from the home 
> > emergency number to the local onces.
> > 
> > ciao
> > hannes
> > 
> > _______________________________________________
> > Ecrit mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/ecrit
> > 
> 
> 
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ecrit
> 

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit